package com.tcl.factory.view;
import android.view.KeyEvent;

 
import com.tcl.factory.bsp.TVDefine;

 

public class PModeProjectInfoMenu extends SubMenu{
	public static  String MenuInfos_PModeProjectInfoMenu[][]={
		{"Project ID",""},
		{"Name",""},
		{"Pannel",""},
		{"RCU",""},
		{"Region",""}
	};
	
	public  PModeProjectInfoMenu()
	{	
		menuInfos=MenuInfos_PModeProjectInfoMenu;
		menuLabel = "Project info\\Project ID";
		super.setTAG();
		updateMenuInfos();
	}
	
	
	public void KeyEvent(int keyCode,int pos)
	{
		switch(keyCode)
		{
		case KeyEvent.KEYCODE_DPAD_LEFT:
		case KeyEvent.KEYCODE_DPAD_RIGHT:
		{
			switch(pos)
			{
				case 0:  super.ValueHandler(TVDefine.ProjectID, keyCode) ;break;
			}
		}
		break;
		default:
			break;
		}
	}
  
	 
	/* (non-Javadoc)
	 * Factory
	 */
	@Override
	public void updateMenuInfos() 
	{
		super.updateValueInfo(TVDefine.ProjectID, 0);
	}
}

